type: google.api.Service
config_version: 3
name: artifactregistry.googleapis.com
title: Artifact Registry API

apis:
- name: google.devtools.artifactregistry.v1beta2.ArtifactRegistry
- name: google.cloud.location.Locations

types:
- name: google.devtools.artifactregistry.v1beta2.ImportAptArtifactsResponse
- name: google.devtools.artifactregistry.v1beta2.ImportAptArtifactsMetadata
- name: google.devtools.artifactregistry.v1beta2.ImportYumArtifactsResponse
- name: google.devtools.artifactregistry.v1beta2.ImportYumArtifactsMetadata
- name: google.devtools.artifactregistry.v1beta2.OperationMetadata

documentation:
  summary: |-
    Store and manage build artifacts in a scalable and integrated service built
    on Google infrastructure.
  overview: |-
    With Artifact Registry you can store and manage your build artifacts (e.g.
    Docker images, Maven packages, npm packages), in a scalable and integrated
    repository service built on Google infrastructure. You can manage
    repository access
    with IAM and interact with repositories via gcloud, Cloud Console, and
    native package format tools. The service can also be integrated with Cloud
    Build and other CI/CD systems. Artifact Registry abstracts away
    infrastructure management, so you can focus on what matters most —
    delivering value to the users of your services and applications. Note:
    Enabling the Artifact Registry API will not affect your use of Container
    Registry in the same project.
  rules:
  - selector: google.cloud.location.Locations.GetLocation
    description: Gets information about a location.

  - selector: google.cloud.location.Locations.ListLocations
    description: Lists information about the supported locations for this service.

http:
  rules:
  - selector: google.cloud.location.Locations.GetLocation
    get: '/v1beta2/{name=projects/*/locations/*}'
  - selector: google.cloud.location.Locations.ListLocations
    get: '/v1beta2/{name=projects/*}/locations'
  - selector: google.longrunning.Operations.GetOperation
    get: '/v1beta2/{name=projects/*/locations/*/operations/*}'

authentication:
  rules:
  - selector: google.cloud.location.Locations.GetLocation
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.cloud.location.Locations.ListLocations
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: 'google.devtools.artifactregistry.v1beta2.ArtifactRegistry.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.GetFile
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.GetIamPolicy
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.GetPackage
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.GetProjectSettings
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.GetRepository
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.GetTag
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.GetVersion
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.ListFiles
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.ListPackages
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.ListRepositories
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.ListTags
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.ListVersions
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.devtools.artifactregistry.v1beta2.ArtifactRegistry.TestIamPermissions
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
  - selector: google.longrunning.Operations.GetOperation
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform,
        https://www.googleapis.com/auth/cloud-platform.read-only
